package sample.actions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.actions.DispatchAction;
import org.apache.struts.actions.EventDispatchAction;
import org.apache.struts.actions.MappingDispatchAction;

public class SampleDispatchAction extends EventDispatchAction {
	
	public ActionForward button1(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
  	    request.setAttribute("msg", "Button1 push!");
		return mapping.findForward("success");
	}

	public ActionForward button2(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
  	    request.setAttribute("msg", "Button2 push!");
		return mapping.findForward("success");
	}

	protected ActionForward cancelled(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
  	    request.setAttribute("msg", "Cancel push!");
		return mapping.findForward("success");
	}
	
	protected ActionForward unspecified(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		return mapping.findForward("success");
	}
	
}
